Skip to content

Product ​

INFO

Har bir javob umumiy konvertda qaytadi — code, message, messages, status_code, time — foydali yuk esa data ichida. Quyidagi jadvallar faqat data ichini tavsiflaydi.

POST /product/create ​

This method allows adding product into the account.

So‘rov tanasi

MaydonTurMajburiyTavsif
namestringHa
notestringYo‘q
measure_idstringHaid of measure unit
category_idstringYo‘qid of product categories
box_type_idstringYo‘qid of Box type
box_itemnumberYo‘qnumber of items that exist in one box. Standart: 0
box_item_barcodestringYo‘qid of box item's barcode
skustringHalocal unique id of product
barcodestringYo‘qbarcode of product
supplier_idsstring[]Yo‘qlist of supplier ids
warehouse_numberstringYo‘qProduct's location in the warehouse (aisle/shelf/bin label). Optional, free-form.
imagestringYo‘qimage path of product that uploaded to the server
is_compoundbooleanYo‘qis compound product or not. Standart: false
materialsobject[]Yo‘qlist of materials of product. required if is_compound is true
materials[].material_idstringHa
materials[].amountnumberHa
materials[].box_countintegerYo‘q
barcodesobject[]Yo‘qlist of barcodes of product
barcodes[].is_activebooleanYo‘q
barcodes[].barcodestringYo‘q
is_semi_productbooleanHais semi product or not. Standart: false
is_productbooleanHais product or not. Standart: false
is_materialbooleanHais material or not. Standart: false
is_markedbooleanHais marked or not. Standart: false
dimensionobjectYo‘qdimension of product
dimension.shapestringYo‘qMumkin qiymatlar: circular, rectangular, other
dimension.netto_weightnumberYo‘q
dimension.gross_weightnumberYo‘q
dimension.heightnumberYo‘q
dimension.volumenumberYo‘q
dimension.diameternumberYo‘q
dimension.widthnumberYo‘q
dimension.lengthnumberYo‘q
is_variantbooleanYo‘qis variant or not. Standart: false
variantsobject[]Yo‘q
variants[].skustringHa
variants[].barcodestringYo‘q
variants[].imagebooleanYo‘q
variants[].organizationsobject[]Ha
variants[].organizations[].organization_idstringHa
variants[].organizations[].is_availablebooleanHa
variants[].organizations[].max_stocknumberYo‘q
variants[].organizations[].yellow_linenumberYo‘q
variants[].organizations[].red_linenumberYo‘q
variants[].organizations[].standardnumberYo‘q
variants[].organizations[].is_available_for_salebooleanYo‘q
variants[].attributesobject[]Ha
variants[].attributes[].attribute_idstringHa
variants[].attributes[].attribute_item_idstringHa
organizationsobject[]Ha
organizations[].organization_idstringHa
organizations[].is_availablebooleanHa
organizations[].max_stocknumberYo‘q
organizations[].yellow_linenumberYo‘q
organizations[].red_linenumberYo‘q
organizations[].standardnumberYo‘q
organizations[].is_available_for_salebooleanYo‘q
organizations[].pricesobject[]Yo‘qlist of prices with optional UOM prices
organizations[].prices[].price_idstringHa
organizations[].prices[].amountnumberYo‘q
organizations[].prices[].uom_pricesobject[]Yo‘q
json
{
  "name": "string",
  "note": "string",
  "measure_id": "67b486d242ed76693cd2cc59",
  "category_id": "67b486d242ed76693cd2cc59",
  "box_type_id": "67b486d242ed76693cd2cc59",
  "box_item": 0,
  "box_item_barcode": "string",
  "sku": "string",
  "barcode": "string",
  "supplier_ids": [
    "string"
  ],
  "warehouse_number": "string",
  "image": "string",
  "is_compound": false,
  "materials": [
    {
      "material_id": "67b486d242ed76693cd2cc59",
      "amount": 0,
      "box_count": 0
    }
  ],
  "barcodes": [
    {
      "is_active": false,
      "barcode": "string"
    }
  ],
  "is_semi_product": false,
  "is_product": false,
  "is_material": false,
  "is_marked": false,
  "dimension": {
    "shape": "circular",
    "netto_weight": 0,
    "gross_weight": 0,
    "height": 0,
    "volume": 0,
    "diameter": 0,
    "width": 0,
    "length": 0
  },
  "is_variant": false,
  "variants": [
    {
      "sku": "string",
      "barcode": "string",
      "image": false,
      "organizations": [],
      "attributes": []
    }
  ],
  "organizations": [
    {
      "organization_id": "67b486d242ed76693cd2cc59",
      "is_available": false,
      "max_stock": 0,
      "yellow_line": 0,
      "red_line": 0,
      "standard": 0,
      "is_available_for_sale": false,
      "prices": []
    }
  ]
}

Javob

MaydonTurTavsif
_idstringid of product
created_atstring
updated_atstring
namestring
numberstring
notestring
box_itemnumber
box_item_barcodestring
box_type_idstring
box_typeobject
box_type._idstring
box_type.codestring
box_type.short_namestring
box_type.namestring
measureobject
measure._idstring
measure.system_codestring
measure.codestring
measure.short_namestring
measure.namestring
measure.decimal_countnumber
skustring
barcodestring
barcodesobject[]list of barcodes of product
barcodes[].is_activeboolean
barcodes[].barcodestring
supplier_idsstring[]list of supplier ids
warehouse_numberstringProduct's location in the warehouse (aisle/shelf/bin label). Absent when not set.
imagestringimage path of product that uploaded to the server
materialsobject[]list of materials of product. required if is_compound is true
materials[].material_idstring
materials[].amountnumber
materials[].box_countinteger
materials[].materialobject
materials[].material._idstring
materials[].material.namestring
materials[].material.skustring
is_compoundbooleanis compound product or not
is_markedbooleanis marked or not
is_productbooleanis product or not. Standart: false
is_materialbooleanis material or not. Standart: false
is_semi_productbooleanis semi product or not. Standart: false
dimensionobjectdimension of product
dimension.shapestringMumkin qiymatlar: circular, rectangular, other
dimension.netto_weightnumber
dimension.gross_weightnumber
dimension.heightnumber
dimension.volumenumber
dimension.diameternumber
dimension.widthnumber
dimension.lengthnumber
is_variantbooleanis variant or not
is_parentbooleanis parent or not
attributesobject[]
attributes[].attribute_idstring
attributes[].attribute_item_idstring
parent_idstringid of parent product. it depends on variant product
organizationsobject[]
organizations[].organization_idstring
organizations[].is_availableboolean
organizations[].max_stocknumber
organizations[].yellow_linenumber
organizations[].red_linenumber
organizations[].standardnumber
organizations[].is_available_for_saleboolean
organizations[].pricesobject[]list of prices with optional UOM prices
organizations[].prices[].price_idstring
organizations[].prices[].amountnumber
organizations[].prices[].uom_pricesobject[]
tax_idsstring[]list of tax ids
discount_idsstring[]list of discount ids
categoryobject
category._idstring
category.namestring
custom_fieldsobject[]
custom_fields[]._idstring
custom_fields[].valuestring
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "_id": "67b486d242ed76693cd2cc59",
    "created_at": "2023-10-01T12:00:00Z",
    "updated_at": "2023-10-01T12:00:00Z",
    "name": "string",
    "number": "string",
    "note": "string",
    "box_item": 0,
    "box_item_barcode": "string",
    "box_type_id": "67b486d242ed76693cd2cc59",
    "box_type": {
      "_id": "67b486d242ed76693cd2cc59",
      "code": "string",
      "short_name": "string",
      "name": "string"
    },
    "measure": {
      "_id": "67b486d242ed76693cd2cc59",
      "system_code": "string",
      "code": "string",
      "short_name": "string",
      "name": "string",
      "decimal_count": 0
    },
    "sku": "string",
    "barcode": "string",
    "barcodes": [
      {
        "is_active": false,
        "barcode": "string"
      }
    ],
    "supplier_ids": [
      "string"
    ],
    "warehouse_number": "string",
    "image": "string",
    "materials": [
      {
        "material_id": "67b486d242ed76693cd2cc59",
        "amount": 0,
        "box_count": 0,
        "material": {
          "_id": null,
          "name": null,
          "sku": null
        }
      }
    ],
    "is_compound": false,
    "is_marked": false,
    "is_product": false,
    "is_material": false,
    "is_semi_product": false,
    "dimension": {
      "shape": "circular",
      "netto_weight": 0,
      "gross_weight": 0,
      "height": 0,
      "volume": 0,
      "diameter": 0,
      "width": 0,
      "length": 0
    },
    "is_variant": false,
    "is_parent": false,
    "attributes": [
      {
        "attribute_id": "string",
        "attribute_item_id": "string"
      }
    ],
    "parent_id": "67b486d242ed76693cd2cc59",
    "organizations": [
      {
        "organization_id": "67b486d242ed76693cd2cc59",
        "is_available": false,
        "max_stock": 0,
        "yellow_line": 0,
        "red_line": 0,
        "standard": 0,
        "is_available_for_sale": false,
        "prices": []
      }
    ],
    "tax_ids": [
      "string"
    ],
    "discount_ids": [
      "string"
    ],
    "category": {
      "_id": "67b486d242ed76693cd2cc59",
      "name": "string"
    },
    "custom_fields": [
      {
        "_id": "67b486d242ed76693cd2cc59",
        "value": "string"
      }
    ]
  },
  "time": "2025-05-01T12:00:00Z"
}

PUT /product/update ​

This method allows updating product in the account.

So‘rov tanasi

MaydonTurMajburiyTavsif
_idstringYo‘qid of product
namestringHa
measure_idstringHaid of measure unit
category_idstringYo‘qid of product categories
box_type_idstringYo‘qid of Box type
box_itemnumberHanumber of items that exist in one box. Standart: 0
box_item_barcodestringYo‘qid of box item's barcode
skustringHalocal unique id of product
barcodestringYo‘qbarcode of product
supplier_idsstring[]Yo‘qlist of supplier ids
warehouse_numberstringYo‘qProduct's location in the warehouse (aisle/shelf/bin label). Optional, free-form.
imagestringYo‘qimage path of product that uploaded to the server
materialsobject[]Yo‘qlist of materials of product. required if is_compound is true
materials[].material_idstringHa
materials[].amountnumberHa
materials[].box_countintegerYo‘q
barcodesobject[]Yo‘qlist of barcodes of product
barcodes[].is_activebooleanYo‘q
barcodes[].barcodestringYo‘q
is_semi_productbooleanHais semi product or not. Standart: false
is_productbooleanHais product or not. Standart: false
is_materialbooleanHais material or not. Standart: false
dimensionobjectYo‘qdimension of product
dimension.shapestringYo‘qMumkin qiymatlar: circular, rectangular, other
dimension.netto_weightnumberYo‘q
dimension.gross_weightnumberYo‘q
dimension.heightnumberYo‘q
dimension.volumenumberYo‘q
dimension.diameternumberYo‘q
dimension.widthnumberYo‘q
dimension.lengthnumberYo‘q
variantsobject[]Yo‘qlist of variants of product. required if is_variant is true
variants[]._idstringHa
variants[].skustringHa
variants[].barcodestringYo‘q
variants[].imagebooleanYo‘q
variants[].organizationsobject[]Ha
variants[].organizations[].organization_idstringHa
variants[].organizations[].is_availablebooleanHa
variants[].organizations[].max_stocknumberYo‘q
variants[].organizations[].yellow_linenumberYo‘q
variants[].organizations[].red_linenumberYo‘q
variants[].organizations[].standardnumberYo‘q
variants[].organizations[].is_available_for_salebooleanYo‘q
variants[].attributesobject[]Ha
variants[].attributes[].attribute_idstringHa
variants[].attributes[].attribute_item_idstringHa
organizationsobject[]Ha
organizations[].organization_idstringHa
organizations[].is_availablebooleanHa
organizations[].max_stocknumberYo‘q
organizations[].yellow_linenumberYo‘q
organizations[].red_linenumberYo‘q
organizations[].standardnumberYo‘q
organizations[].is_available_for_salebooleanYo‘q
organizations[].pricesobject[]Yo‘qlist of prices with optional UOM prices
organizations[].prices[].price_idstringHa
organizations[].prices[].amountnumberYo‘q
organizations[].prices[].uom_pricesobject[]Yo‘q
json
{
  "_id": "string",
  "name": "string",
  "measure_id": "string",
  "category_id": "string",
  "box_type_id": "string",
  "box_item": 0,
  "box_item_barcode": "string",
  "sku": "string",
  "barcode": "string",
  "supplier_ids": [
    "string"
  ],
  "warehouse_number": "string",
  "image": "string",
  "materials": [
    {
      "material_id": "string",
      "amount": 0,
      "box_count": 0
    }
  ],
  "barcodes": [
    {
      "is_active": false,
      "barcode": "string"
    }
  ],
  "is_semi_product": false,
  "is_product": false,
  "is_material": false,
  "dimension": {
    "shape": "circular",
    "netto_weight": 0,
    "gross_weight": 0,
    "height": 0,
    "volume": 0,
    "diameter": 0,
    "width": 0,
    "length": 0
  },
  "variants": [
    {
      "_id": "string",
      "sku": "string",
      "barcode": "string",
      "image": false,
      "organizations": [],
      "attributes": []
    }
  ],
  "organizations": [
    {
      "organization_id": "string",
      "is_available": false,
      "max_stock": 0,
      "yellow_line": 0,
      "red_line": 0,
      "standard": 0,
      "is_available_for_sale": false,
      "prices": []
    }
  ]
}

Javob

Javob tuzilishi quyidagi bilan bir xil: POST /product/create.

DELETE /product/delete/{id} ​

Delete a product

Yo‘l parametrlari

ParametrTurMajburiyTavsif
idstringHa

So‘rov tanasi

So‘rov tanasi talab qilinmaydi.

Javob

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": "ok",
  "time": "2025-05-01T12:00:00Z"
}

GET /product/get-by-id/{id} ​

Get product using its _id

Yo‘l parametrlari

ParametrTurMajburiyTavsif
idstringHa

So‘rov tanasi

So‘rov tanasi talab qilinmaydi.

Javob

Javob tuzilishi quyidagi bilan bir xil: POST /product/create.

POST /product/get-paging ​

Get products by paging

So‘rov tanasi

MaydonTurMajburiyTavsif
pagenumberHaStandart: 1
limitnumberHaStandart: 20
organization_idstringYo‘q
is_mainbooleanYo‘q
category_idstringYo‘q
is_archivedbooleanYo‘q
is_compoundbooleanYo‘q
is_semi_productbooleanYo‘q
is_productbooleanYo‘q
is_materialbooleanYo‘q
updated_atstringYo‘qISO time format
is_available_for_salebooleanYo‘q
json
{
  "page": 1,
  "limit": 20,
  "organization_id": "string",
  "is_main": false,
  "category_id": "string",
  "is_archived": false,
  "is_compound": false,
  "is_semi_product": false,
  "is_product": false,
  "is_material": false,
  "updated_at": "string",
  "is_available_for_sale": false
}

Javob

data.total — jami yozuvlar soni, data.data[] — joriy sahifadagi yozuvlar. Quyidagi jadval bitta yozuvni tavsiflaydi.

MaydonTurTavsif
_idstringid of product
created_atstring
updated_atstring
namestring
numberstring
notestring
box_itemnumber
box_item_barcodestring
box_type_idstring
box_typeobject
box_type._idstring
box_type.codestring
box_type.short_namestring
box_type.namestring
measureobject
measure._idstring
measure.system_codestring
measure.codestring
measure.short_namestring
measure.namestring
measure.decimal_countnumber
skustring
barcodestring
barcodesobject[]list of barcodes of product
barcodes[].is_activeboolean
barcodes[].barcodestring
supplier_idsstring[]list of supplier ids
warehouse_numberstringProduct's location in the warehouse (aisle/shelf/bin label). Absent when not set.
imagestringimage path of product that uploaded to the server
materialsobject[]list of materials of product. required if is_compound is true
materials[].material_idstring
materials[].amountnumber
materials[].box_countinteger
materials[].materialobject
materials[].material._idstring
materials[].material.namestring
materials[].material.skustring
is_compoundbooleanis compound product or not
is_markedbooleanis marked or not
is_productbooleanis product or not. Standart: false
is_materialbooleanis material or not. Standart: false
is_semi_productbooleanis semi product or not. Standart: false
dimensionobjectdimension of product
dimension.shapestringMumkin qiymatlar: circular, rectangular, other
dimension.netto_weightnumber
dimension.gross_weightnumber
dimension.heightnumber
dimension.volumenumber
dimension.diameternumber
dimension.widthnumber
dimension.lengthnumber
is_variantbooleanis variant or not
is_parentbooleanis parent or not
attributesobject[]
attributes[].attribute_idstring
attributes[].attribute_item_idstring
parent_idstringid of parent product. it depends on variant product
organizationsobject[]
organizations[].organization_idstring
organizations[].is_availableboolean
organizations[].max_stocknumber
organizations[].yellow_linenumber
organizations[].red_linenumber
organizations[].standardnumber
organizations[].is_available_for_saleboolean
organizations[].pricesobject[]list of prices with optional UOM prices
organizations[].prices[].price_idstring
organizations[].prices[].amountnumber
organizations[].prices[].uom_pricesobject[]
tax_idsstring[]list of tax ids
discount_idsstring[]list of discount ids
categoryobject
category._idstring
category.namestring
custom_fieldsobject[]
custom_fields[]._idstring
custom_fields[].valuestring
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "total": 0,
    "data": [
      {
        "_id": "67b486d242ed76693cd2cc59",
        "created_at": "2023-10-01T12:00:00Z",
        "updated_at": "2023-10-01T12:00:00Z",
        "name": "string",
        "number": "string",
        "note": "string",
        "box_item": 0,
        "box_item_barcode": "string",
        "box_type_id": "67b486d242ed76693cd2cc59",
        "box_type": {
          "_id": "67b486d242ed76693cd2cc59",
          "code": "string",
          "short_name": "string",
          "name": "string"
        },
        "measure": {
          "_id": "67b486d242ed76693cd2cc59",
          "system_code": "string",
          "code": "string",
          "short_name": "string",
          "name": "string",
          "decimal_count": 0
        },
        "sku": "string",
        "barcode": "string",
        "barcodes": [
          {
            "is_active": false,
            "barcode": "string"
          }
        ],
        "supplier_ids": [
          "string"
        ],
        "warehouse_number": "string",
        "image": "string",
        "materials": [
          {
            "material_id": "67b486d242ed76693cd2cc59",
            "amount": 0,
            "box_count": 0,
            "material": {
              "_id": null,
              "name": null,
              "sku": null
            }
          }
        ],
        "is_compound": false,
        "is_marked": false,
        "is_product": false,
        "is_material": false,
        "is_semi_product": false,
        "dimension": {
          "shape": "circular",
          "netto_weight": 0,
          "gross_weight": 0,
          "height": 0,
          "volume": 0,
          "diameter": 0,
          "width": 0,
          "length": 0
        },
        "is_variant": false,
        "is_parent": false,
        "attributes": [
          {
            "attribute_id": "string",
            "attribute_item_id": "string"
          }
        ],
        "parent_id": "67b486d242ed76693cd2cc59",
        "organizations": [
          {
            "organization_id": "67b486d242ed76693cd2cc59",
            "is_available": false,
            "max_stock": 0,
            "yellow_line": 0,
            "red_line": 0,
            "standard": 0,
            "is_available_for_sale": false,
            "prices": []
          }
        ],
        "tax_ids": [
          "string"
        ],
        "discount_ids": [
          "string"
        ],
        "category": {
          "_id": "67b486d242ed76693cd2cc59",
          "name": "string"
        },
        "custom_fields": [
          {
            "_id": "67b486d242ed76693cd2cc59",
            "value": "string"
          }
        ]
      }
    ]
  },
  "time": "2025-05-01T12:00:00Z"
}

GET /product/get-deleted ​

Get deleted product ids

So‘rov parametrlari

ParametrTurMajburiyTavsif
deleted_atstringHa

So‘rov tanasi

So‘rov tanasi talab qilinmaydi.

Javob

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    "string"
  ],
  "time": "2025-05-01T12:00:00Z"
}

POST /product/get-paging/by-price ​

Paginated list of products with prices for a specific price list.

So‘rov tanasi

MaydonTurMajburiyTavsif
pagenumberHaStandart: 1
limitnumberHaStandart: 20
price_idstringHaPrice list to fetch prices from.
searchstringYo‘q
category_idsstring[]Yo‘q
json
{
  "page": 1,
  "limit": 20,
  "price_id": "string",
  "search": "string",
  "category_ids": [
    "string"
  ]
}

Javob

MaydonTurTavsif
listobject[]
list[]._idstringid of product
list[].created_atstring
list[].updated_atstring
list[].namestring
list[].numberstring
list[].notestring
list[].box_itemnumber
list[].box_item_barcodestring
list[].box_type_idstring
list[].box_typeobject
list[].box_type._idstring
list[].box_type.codestring
list[].box_type.short_namestring
list[].box_type.namestring
list[].measureobject
list[].measure._idstring
list[].measure.system_codestring
list[].measure.codestring
list[].measure.short_namestring
list[].measure.namestring
list[].measure.decimal_countnumber
list[].skustring
list[].barcodestring
list[].barcodesobject[]list of barcodes of product
list[].barcodes[].is_activeboolean
list[].barcodes[].barcodestring
list[].supplier_idsstring[]list of supplier ids
list[].warehouse_numberstringProduct's location in the warehouse (aisle/shelf/bin label). Absent when not set.
list[].imagestringimage path of product that uploaded to the server
list[].materialsobject[]list of materials of product. required if is_compound is true
list[].materials[].material_idstring
list[].materials[].amountnumber
list[].materials[].box_countinteger
list[].materials[].materialobject
list[].is_compoundbooleanis compound product or not
list[].is_markedbooleanis marked or not
list[].is_productbooleanis product or not. Standart: false
list[].is_materialbooleanis material or not. Standart: false
list[].is_semi_productbooleanis semi product or not. Standart: false
list[].dimensionobjectdimension of product
list[].dimension.shapestringMumkin qiymatlar: circular, rectangular, other
list[].dimension.netto_weightnumber
list[].dimension.gross_weightnumber
list[].dimension.heightnumber
list[].dimension.volumenumber
list[].dimension.diameternumber
list[].dimension.widthnumber
list[].dimension.lengthnumber
list[].is_variantbooleanis variant or not
list[].is_parentbooleanis parent or not
list[].attributesobject[]
list[].attributes[].attribute_idstring
list[].attributes[].attribute_item_idstring
list[].parent_idstringid of parent product. it depends on variant product
list[].organizationsobject[]
list[].organizations[].organization_idstring
list[].organizations[].is_availableboolean
list[].organizations[].max_stocknumber
list[].organizations[].yellow_linenumber
list[].organizations[].red_linenumber
list[].organizations[].standardnumber
list[].organizations[].is_available_for_saleboolean
list[].organizations[].pricesobject[]list of prices with optional UOM prices
list[].tax_idsstring[]list of tax ids
list[].discount_idsstring[]list of discount ids
list[].categoryobject
list[].category._idstring
list[].category.namestring
list[].custom_fieldsobject[]
list[].custom_fields[]._idstring
list[].custom_fields[].valuestring
totalnumber
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "list": [
      {
        "_id": "67b486d242ed76693cd2cc59",
        "created_at": "2023-10-01T12:00:00Z",
        "updated_at": "2023-10-01T12:00:00Z",
        "name": "string",
        "number": "string",
        "note": "string",
        "box_item": 0,
        "box_item_barcode": "string",
        "box_type_id": "67b486d242ed76693cd2cc59",
        "box_type": {
          "_id": null,
          "code": null,
          "short_name": null,
          "name": null
        },
        "measure": {
          "_id": null,
          "system_code": null,
          "code": null,
          "short_name": null,
          "name": null,
          "decimal_count": null
        },
        "sku": "string",
        "barcode": "string",
        "barcodes": [],
        "supplier_ids": [],
        "warehouse_number": "string",
        "image": "string",
        "materials": [],
        "is_compound": false,
        "is_marked": false,
        "is_product": false,
        "is_material": false,
        "is_semi_product": false,
        "dimension": {
          "shape": null,
          "netto_weight": null,
          "gross_weight": null,
          "height": null,
          "volume": null,
          "diameter": null,
          "width": null,
          "length": null
        },
        "is_variant": false,
        "is_parent": false,
        "attributes": [],
        "parent_id": "67b486d242ed76693cd2cc59",
        "organizations": [],
        "tax_ids": [],
        "discount_ids": [],
        "category": {
          "_id": null,
          "name": null
        },
        "custom_fields": []
      }
    ],
    "total": 0
  },
  "time": "2025-05-01T12:00:00Z"
}

POST /product/get-by-name ​

Find a product by its exact name.

So‘rov tanasi

MaydonTurMajburiyTavsif
namestringHa
json
{
  "name": "string"
}

Javob

Javob tuzilishi quyidagi bilan bir xil: POST /product/create.

POST /product/get-by-barcode ​

Find a product by its barcode within an organization.

So‘rov tanasi

MaydonTurMajburiyTavsif
barcodestringHabarcode of product to look up
organization_idstringHaorganization ObjectId to scope the lookup
json
{
  "barcode": "string",
  "organization_id": "string"
}

Javob

Javob tuzilishi quyidagi bilan bir xil: POST /product/create.

POST /product/get-by-sku ​

Find a product by its SKU within an organization.

So‘rov tanasi

MaydonTurMajburiyTavsif
skustringHalocal unique id (SKU) of product to look up
organization_idstringHaorganization ObjectId to scope the lookup
json
{
  "sku": "string",
  "organization_id": "string"
}

Javob

Javob tuzilishi quyidagi bilan bir xil: POST /product/create.

POST /product/delete-many ​

Soft-delete multiple products by their ObjectIds. Each product is marked is_deleted=true; no physical deletion occurs. Products that are currently in stock, in transit, on-the-way, or booked cannot be deleted and will return an error.

So‘rov tanasi

MaydonTurMajburiyTavsif
idsstring[]HaList of product ObjectIds to soft-delete
json
{
  "ids": [
    "string"
  ]
}

Javob

Javob tuzilishi quyidagi bilan bir xil: GET /product/get-deleted.

POST /product/update-status-many ​

Archive or unarchive multiple products by their ObjectIds. Set is_archived=true to archive, false to unarchive. Archived products remain visible but are excluded from active product lookups by default.

So‘rov tanasi

MaydonTurMajburiyTavsif
idsstring[]HaList of product ObjectIds to archive or unarchive
is_archivedbooleanYo‘qtrue to archive the products, false to unarchive them. Defaults to true when omitted.
json
{
  "ids": [
    "string"
  ],
  "is_archived": false
}

Javob

Javob tuzilishi quyidagi bilan bir xil: GET /product/get-deleted.


Bu sahifa OpenAPI spetsifikatsiyasidan yaratilgan.

Bito 2.0 Integration API